body {
    margin: 0;
    line-height: inherit;
}

*,
:after,
:before {
    --tw-border-spacing-x: 0;
    --tw-border-spacing-y: 0;
    --tw-translate-x: 0;
    --tw-translate-y: 0;
    --tw-rotate: 0;
    --tw-skew-x: 0;
    --tw-skew-y: 0;
    --tw-scale-x: 1;
    --tw-scale-y: 1;
    --tw-pan-x: ;
    --tw-pan-y: ;
    --tw-pinch-zoom: ;
    --tw-scroll-snap-strictness: proximity;
    --tw-gradient-from-position: ;
    --tw-gradient-via-position: ;
    --tw-gradient-to-position: ;
    --tw-ordinal: ;
    --tw-slashed-zero: ;
    --tw-numeric-figure: ;
    --tw-numeric-spacing: ;
    --tw-numeric-fraction: ;
    --tw-ring-inset: ;
    --tw-ring-offset-width: 0px;
    --tw-ring-offset-color: #fff;
    --tw-ring-color: rgba(59, 130, 246, .5);
    --tw-ring-offset-shadow: 0 0 #0000;
    --tw-ring-shadow: 0 0 #0000;
    --tw-shadow: 0 0 #0000;
    --tw-shadow-colored: 0 0 #0000;
    --tw-blur: ;
    --tw-brightness: ;
    --tw-contrast: ;
    --tw-grayscale: ;
    --tw-hue-rotate: ;
    --tw-invert: ;
    --tw-saturate: ;
    --tw-sepia: ;
    --tw-drop-shadow: ;
    --tw-backdrop-blur: ;
    --tw-backdrop-brightness: ;
    --tw-backdrop-contrast: ;
    --tw-backdrop-grayscale: ;
    --tw-backdrop-hue-rotate: ;
    --tw-backdrop-invert: ;
    --tw-backdrop-opacity: ;
    --tw-backdrop-saturate: ;
    --tw-backdrop-sepia: ;
}

.container {
    width: 100%;
}

/* Colors */

.bg-darken-900 {
    --tw-bg-opacity: 1;
    background-color: rgb(22 22 26 / var(--tw-bg-opacity));
}

.bg-darken-900 {
    --tw-bg-opacity: 1;
    background-color: rgb(22 22 26 / var(--tw-bg-opacity));
}

.bg-primary-500 {
    --tw-bg-opacity: 1;
    background-color: rgb(99 102 241 / var(--tw-bg-opacity));
}

/* Padding */

.px-4 {
    padding-left: 1rem;
    padding-right: 1rem;
}

/* Gap */

.gap-8 {
    gap: 2rem;
}

.grid-cols-1 {
    grid-template-columns: repeat(1, minmax(0, 1fr));
}

.gap-4 {
    gap: 1rem;
}

.grid {
    display: grid;
}

/* Flex */

.flex-col {
    flex-direction: column;
}

.flex {
    display: flex;
}

/* Margin */

.min-h-screen {
    min-height: 100vh;
}

.mx-auto {
    margin-left: auto;
    margin-right: auto;
}

.h-52 {
    height: 13rem;
}

/* Media query */

@media (min-width: 1536px) {
    .container {
        max-width: 1536px;
    }
}

@media (min-width: 1280px) {
    .container {
        max-width: 1280px;
    }
}

@media (min-width: 1024px) {
    .container {
        max-width: 1024px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 768px;
    }
}

@media (min-width: 640px) {
    .container {
        max-width: 640px;
    }
}

@media (min-width: 1024px) {
    .lg\:grid-cols-12 {
        grid-template-columns: repeat(12, minmax(0, 1fr));
    }

    .lg\:col-span-3 {
        grid-column: span 3 / span 3;
    }
}

/* Profile image */

.border-primary-500 {
    --tw-border-opacity: 1;
    border-color: rgb(99 102 241 / var(--tw-border-opacity));
}

.border-4 {
    border-width: 4px;
}

.rounded-full {
    border-radius: 9999px;
}

.overflow-hidden {
    overflow: hidden;
}

.w-28 {
    width: 7rem;
}

.h-28 {
    height: 7rem;
}

.relative {
    position: relative;
}

figure,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
p,
pre {
    margin: 0;
}

img {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    color: transparent;
}

.sidebar-left {
    width: 400px;
    justify-content: center;
    margin: -40px auto;
    margin-bottom: 40px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.sidebar-left-div {
    border: 0.1px solid rgb(75, 75, 75);
    border-radius: 10px;
    padding: 20px;

}

.sidebar-right {
    margin: -40px auto;
    margin-bottom: 40px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.sidebar-right-div {
    border: 0.1px solid rgb(75, 75, 75);
    border-radius: 10px;
    padding: 20px;
}

.nav {
    flex-wrap: nowrap;
}

.text-gray-900 {
    --tw-text-opacity: 1;
    color: rgb(148 161 178 / var(--tw-text-opacity));
}

.font-light {
    font-weight: 300;
}

.text-sm {
    font-size: .875rem;
    line-height: 1.25rem;
}

.font-body {
    font-family: var(--body-font), sans-serif;
}

figure {
    margin: auto;
}

.links {
    display: flex;
    gap: 10px;
    justify-content: center;
}

.btn-floating {
    border: 0.1px solid rgb(75, 75, 75);
    /* Adjust the width and height as needed */
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    /* Makes the button circular */
}


.btn-floating:hover {
    background-color: rgba(75, 75, 75, 0.5);
}

.btn-floating i {
    color: white;
    font-size: 20px;
    /* Adjust the font size as needed */
}

.tools-text {
    list-style: none;
    margin: 0;
    padding: 0;
}

.tools-text li {
    font-size: 12px;
}

.text-primary-400 {
    --tw-text-opacity: 1;
    color: rgb(129 140 248 / var(--tw-text-opacity));
}

.uppercase {
    text-transform: uppercase;
}

.font-light {
    font-weight: 300;
}

.rounded-lg {
    border-radius: .5rem;
}


.bg-opacity-10 {
    --tw-bg-opacity: 0.1;
}

.text-white {
    --tw-text-opacity: 1;
    color: rgb(255 255 254 / var(--tw-text-opacity));
}

.btn-primary {
    font-size: 15px;
    font-weight: bold;
    box-shadow: none;
    background-color: transparent;
}

.btn-primary.active {
    background-color: #3b71ca;
    box-shadow: none;
}

.text-greyish-800 {
    --tw-text-opacity: 1;
    color: rgb(128 131 139 / var(--tw-text-opacity));
}

.relative {
    position: relative;
}

.aspect-video {
    aspect-ratio: 16 / 9;
}

.hover\:bg-dark-900:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(36 38 41 / var(--tw-bg-opacity));
}

.ease-in {
    transition-timing-function: cubic-bezier(.4, 0, 1, 1);
}

.duration-200 {
    transition-duration: .2s;
}

.transition-colors {
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration: .15s;
}

.rounded-t {
    border-top-left-radius: .25rem;
    border-top-right-radius: .25rem;
}

.rounded-full {
    border-radius: 9999px;
}

.-left-\[10px\] {
    left: -10px;
}

.absolute {
    position: absolute;
}

.text-darken-700 {
    --tw-text-opacity: 1;
    color: rgb(75 75 88 / var(--tw-text-opacity));
}

.font-display {
    font-family: var(--display-font), monospace;
}

.text-xs {
    font-size: .75rem;
    line-height: 1rem;
}

.text-greyish-800 {
    --tw-text-opacity: 1;
    color: rgb(128 131 139 / var(--tw-text-opacity));
}

.pb-8 {
    padding-bottom: 2rem;
}

.pl-6 {
    padding-left: 1.5rem;
}

.mt-6 {
    margin-top: 1.5rem;
}

.w-4 {
    width: 1rem;
}

.h-4 {
    height: 1rem;
}

.top-0 {
    top: 0;
}

.absolute {
    position: absolute;
}

.border-l-4 {
    border-left: 4px solid rgb(99 102 241 / var(--tw-bg-opacity));

}

.h2,
h2 {
    font-size: 18px;
}

.font-bold {
    font-weight: 700;
}

.exp-li {
    list-style-type: none;
}

/* - - - - - About ME - - - - - */

a:hover {
    color: #0056b3;
    text-decoration: underline;
}

.about_m_l_section {
    padding: 3rem;
}

.about_section .heading,
.intro_section .row h1 {
    font-weight: 600;
    font-size: 50px;
    letter-spacing: 0.5px;
    line-height: 57px;
}

.about_section .info_gmail {
    font-weight: 600;
    font-size: 20px;
    color: rgb(129, 140, 248);
    margin-top: 35px;
    word-spacing: 6px;
}

.about_section .contact_info {
    margin-top: 15px;
}

.about_section .contact_info h5,
.about_section .contact_info h5 a {
    color: white;
    font-size: 20px;
    font-weight: 400;
    word-spacing: 6px;
}

.about_m_r_section {
    padding: 3rem;
}

.about_section .about_m_r_section .text {
    font-size: 20px;
    margin-top: 13px;
    line-height: 25px;
    color: var(--color-secondary);
}

.about_section .about_m_r_section hr {
    margin: 0px;
    border: 0.5px solid var(--pink);
}

.about_section .about_m_r_section table td {
    border: none;
    color: white;
    font-size: 18px;
}

.table>:not(caption)>*>* {
    padding: 1rem 0.5rem;
    background-color: var(--mdb-table-bg);
    border-bottom-width: 1px;
    box-shadow: inset 0 0 0 9999px var(--mdb-table-accent-bg);
}